# ezQuake Manual: Screen & Powerup Blends Variables

## cl_bonusflash

### Description

Controls weapon and item pickup flash.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | On.
0 | Off.

## cl_demoplay_flash

### Description

Reduces flash grenade effect when watching demos.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.
Values from 0 to 1 are possible. 0 - flash effects disabled, 1 - original.

## gl_cshiftpercent

### Description

This variable sets the percentage value for palette shifting effects (damage flash, powerup blend).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 100

Variable is float.

## gl_hwblend

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Hardware palette changing.
0 | OpenGL routines.

Note: 1 can be slow on wintNT/2K.

## gl_polyblend

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Enable palette shifting when submerged or poweruped.
0 | Disable palette shifting when submerged or poweruped.

## v_contentblend

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.33

### Values

value | description
1 | On (palette shifts when you're in liquid).
0 | Off (no palette shifting when you're in liquid).

## v_damagecshift

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.33

### Values

value | description
0 | Damage filter on.
0.5 | 50% Damage filter on.
1 | Damage filter off.

## v_dlightcshift

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Turns onn light blebd when you're inside a light bubble (with gl_flashblend 1).
0 | Turns off light blend when you're inside a light bubble (with gl_flashblend 1).

## v_pentcshift

### Description

Flash coefficient for when you take the pent.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.75

Variable is float.

## v_quadcshift

### Description

Flash coefficient for when you take the quad.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.75

Variable is float.

## v_ringcshift

### Description

Flash coefficient for when you take the ring.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.75

Variable is float.

## v_suitcshift

### Description

Flash coefficient for when you take the suit.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.75

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz